Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.animation.client
Class AnimationSchedulerImplStandard

    java.lang.Object
      com.google.gwt.animation.client.AnimationScheduler
          com.google.gwt.animation.client.AnimationSchedulerImplStandard

     class AnimationSchedulerImplStandard

extends AnimationScheduler

`AnimationScheduler` implementation that uses standard `requestAnimationFrame` API.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.animation.client.AnimationScheduler
`AnimationScheduler.AnimationCallback, AnimationScheduler.AnimationHandle, AnimationScheduler.AnimationSupportDetector`

Constructor Summary
`AnimationSchedulerImplStandard()`

Method Summary
`AnimationScheduler.AnimationHandle` | `requestAnimationFrame(AnimationScheduler.AnimationCallback callback, Element element)` Schedule an animation, letting the browser decide when to trigger the next step in the animation.

Methods inherited from class com.google.gwt.animation.client.AnimationScheduler
`get, requestAnimationFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnimationSchedulerImplStandard

    AnimationSchedulerImplStandard()

Method Detail

### requestAnimationFrame

    public AnimationScheduler.AnimationHandle requestAnimationFrame(AnimationScheduler.AnimationCallback callback,
                                                                    Element element)

  Description copied from class: `AnimationScheduler`
  Schedule an animation, letting the browser decide when to trigger the next step in the animation.

  Using this method instead of a timeout is preferred because the browser is in the best position to decide how frequently to trigger the callback for an animation of the specified element. The browser can balance multiple animations and trigger callbacks at the optimal rate for smooth performance.

  Specified by:
    `requestAnimationFrame` in class `AnimationScheduler`
  Parameters:
    `callback` - the callback to fire
    `element` - the element being animated
  Returns:
    a handle to the requested animation frame

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD